Subject: Re: [PATCH 02/31] staging: wfx: fix HIF API license

From: Jérôme Pouiller <[email-masked]>
Date: Thu, 13 Jan 2022 13:16:07 +0100

On Thursday 13 January 2022 12:50:23 CET Kalle Valo wrote:
> Jerome Pouiller <[email-masked]> writes:
> 
> > From: Jérôme Pouiller <[email-masked]>
> >
> > Apache-2.0 is not allowed in the kernel.
> >
> > Signed-off-by: Jérôme Pouiller <[email-masked]>
> > ---
> >  drivers/staging/wfx/hif_api_cmd.h     | 2 +-
> >  drivers/staging/wfx/hif_api_general.h | 2 +-
> >  drivers/staging/wfx/hif_api_mib.h     | 2 +-
> >  3 files changed, 3 insertions(+), 3 deletions(-)
> >
> > diff --git a/drivers/staging/wfx/hif_api_cmd.h b/drivers/staging/wfx/hif_api_cmd.h
> > index b0aa13b23a51..b1829d01a5d9 100644
> > --- a/drivers/staging/wfx/hif_api_cmd.h
> > +++ b/drivers/staging/wfx/hif_api_cmd.h
> > @@ -1,4 +1,4 @@
> > -/* SPDX-License-Identifier: Apache-2.0 */
> > +/* SPDX-License-Identifier: GPL-2.0-only or Apache-2.0 */
> 
> Is the Apache-2.0 license really mandatory? LICENSES/dual/Apache-2.0 is
> not really supportive.

[usual "I am not a lawyer" preamble]

hmm... I don't think it is really mandatory. However, I would more
confident if we could keep the original license also (I think the idea
behind is to not prevent someone to reuse this header in any other
project).

-- 
Jérôme Pouiller